Subject: Re: [mpls] Comments on draft-ietf-bfd-mpls-mib-00

From: Venkatesan Mahalingam <[email-masked]>
Date: Fri, 27 Jul 2012 16:00:10 -0700

John,

Thanks for your comments. Please find below the response inlined with
the tag [VM].

Regards,
Venkat.

On Fri, Jul 27, 2012 at 10:37 AM, John Salloway
<[email-masked]> wrote:
> Hi,
>
>
>
> I have a couple of comments on draft-ietf-bfd-mpls-mib-00.
>
>
>
> 1.      The bfdMplsSessTable contains a pointer to the service associated
> with this BFD session.  I would have thought it would be useful to have a
> link in the other direction (for example a row pointer or session index in
> the mplsTunnelEntry or mplsTunnelExtEntry to identify the BFD session).  I
> can see no simple way to find the BFD Session that is monitoring the MPLS
> Tunnel.
>
[VM] Agree. I'll discuss with other authors and conclude on this.
>
> 2.      The service pointer (bfdMplsSessMapPointer) points to a different
> table depending for MPLS-TE tunnels and MPLS-TP tunnels.  For MPLS-TE
> Tunnels, this points to an entry in the mplsTunnelTable.  For MPLS-TP
> tunnels, it points to an entry in the mplsOamIdMeTable.  Would it not be
> simpler for it to point to an mplsTunnelEntry in both cases?
>
[VM] For MPLS-TP case also, we can point to mplsTunnelTable, there is
no restriction enforced in this MIB but in order to satisfy the OAM
requirements of MPLS-TP, it is expected to point to mplsOamIdMeTable.
> Have I missed something?
> Thanks
> John Salloway